/*
 * Internal module API header file.
 *
 * Generated by SIP 4.19.17
 *
 * Copyright (c) 2019 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQtWebEngine.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineCoreAPI_H
#define _QtWebEngineCoreAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QWebEngineUrlRequestInfo__NavigationType 0
#define sipName_QWebEngineUrlRequestInfo__NavigationType &sipStrings_QtWebEngineCore[0]
#define sipNameNr_QWebEngineRegisterProtocolHandlerRequest 41
#define sipName_QWebEngineRegisterProtocolHandlerRequest &sipStrings_QtWebEngineCore[41]
#define sipNameNr_QWebEngineUrlRequestInfo__ResourceType 82
#define sipName_QWebEngineUrlRequestInfo__ResourceType &sipStrings_QtWebEngineCore[82]
#define sipNameNr_QWebEngineCookieStore__FilterRequest 121
#define sipName_QWebEngineCookieStore__FilterRequest &sipStrings_QtWebEngineCore[121]
#define sipNameNr_QWebEngineUrlScheme__SpecialPort 158
#define sipName_QWebEngineUrlScheme__SpecialPort &sipStrings_QtWebEngineCore[158]
#define sipNameNr_QWebEngineUrlRequestInterceptor 191
#define sipName_QWebEngineUrlRequestInterceptor &sipStrings_QtWebEngineCore[191]
#define sipNameNr_QWebEngineUrlRequestJob__Error 223
#define sipName_QWebEngineUrlRequestJob__Error &sipStrings_QtWebEngineCore[223]
#define sipNameNr_QWebEngineHttpRequest__Method 254
#define sipName_QWebEngineHttpRequest__Method &sipStrings_QtWebEngineCore[254]
#define sipNameNr_ContentSecurityPolicyIgnored 284
#define sipName_ContentSecurityPolicyIgnored &sipStrings_QtWebEngineCore[284]
#define sipNameNr_QWebEngineUrlScheme__Syntax 313
#define sipName_QWebEngineUrlScheme__Syntax &sipStrings_QtWebEngineCore[313]
#define sipNameNr_NavigationTypeFormSubmitted 341
#define sipName_NavigationTypeFormSubmitted &sipStrings_QtWebEngineCore[341]
#define sipNameNr_QWebEngineUrlSchemeHandler 369
#define sipName_QWebEngineUrlSchemeHandler &sipStrings_QtWebEngineCore[369]
#define sipNameNr_QWebEngineUrlScheme__Flags 396
#define sipName_QWebEngineUrlScheme__Flags &sipStrings_QtWebEngineCore[396]
#define sipNameNr_HostPortAndUserInformation 423
#define sipName_HostPortAndUserInformation &sipStrings_QtWebEngineCore[423]
#define sipNameNr_ResourceTypePluginResource 450
#define sipName_ResourceTypePluginResource &sipStrings_QtWebEngineCore[450]
#define sipNameNr_QWebEngineUrlScheme__Flag 477
#define sipName_QWebEngineUrlScheme__Flag &sipStrings_QtWebEngineCore[477]
#define sipNameNr_NavigationTypeBackForward 503
#define sipName_NavigationTypeBackForward &sipStrings_QtWebEngineCore[503]
#define sipNameNr_ResourceTypeServiceWorker 529
#define sipName_ResourceTypeServiceWorker &sipStrings_QtWebEngineCore[529]
#define sipNameNr_ResourceTypeSharedWorker 555
#define sipName_ResourceTypeSharedWorker &sipStrings_QtWebEngineCore[555]
#define sipNameNr_ResourceTypeFontResource 580
#define sipName_ResourceTypeFontResource &sipStrings_QtWebEngineCore[580]
#define sipNameNr_QWebEngineUrlRequestInfo 605
#define sipName_QWebEngineUrlRequestInfo &sipStrings_QtWebEngineCore[605]
#define sipNameNr_QWebEngineUrlRequestJob 630
#define sipName_QWebEngineUrlRequestJob &sipStrings_QtWebEngineCore[630]
#define sipNameNr_ResourceTypeSubResource 654
#define sipName_ResourceTypeSubResource &sipStrings_QtWebEngineCore[654]
#define sipNameNr_ResourceTypeStylesheet 678
#define sipName_ResourceTypeStylesheet &sipStrings_QtWebEngineCore[678]
#define sipNameNr_QWebEngineQuotaRequest 701
#define sipName_QWebEngineQuotaRequest &sipStrings_QtWebEngineCore[701]
#define sipNameNr_724 724
#define sipName_724 &sipStrings_QtWebEngineCore[724]
#define sipNameNr_ServiceWorkersAllowed 746
#define sipName_ServiceWorkersAllowed &sipStrings_QtWebEngineCore[746]
#define sipNameNr_ResourceTypeCspReport 768
#define sipName_ResourceTypeCspReport &sipStrings_QtWebEngineCore[768]
#define sipNameNr_ResourceTypeMainFrame 790
#define sipName_ResourceTypeMainFrame &sipStrings_QtWebEngineCore[790]
#define sipNameNr_QWebEngineHttpRequest 812
#define sipName_QWebEngineHttpRequest &sipStrings_QtWebEngineCore[812]
#define sipNameNr_QWebEngineCookieStore 834
#define sipName_QWebEngineCookieStore &sipStrings_QtWebEngineCore[834]
#define sipNameNr_PyQt5_QtWebEngineCore 856
#define sipName_PyQt5_QtWebEngineCore &sipStrings_QtWebEngineCore[856]
#define sipNameNr_NavigationTypeReload 878
#define sipName_NavigationTypeReload &sipStrings_QtWebEngineCore[878]
#define sipNameNr_ResourceTypePrefetch 899
#define sipName_ResourceTypePrefetch &sipStrings_QtWebEngineCore[899]
#define sipNameNr_ResourceTypeSubFrame 920
#define sipName_ResourceTypeSubFrame &sipStrings_QtWebEngineCore[920]
#define sipNameNr_deleteSessionCookies 941
#define sipName_deleteSessionCookies &sipStrings_QtWebEngineCore[941]
#define sipNameNr_962 962
#define sipName_962 &sipStrings_QtWebEngineCore[962]
#define sipNameNr_QWebEngineUrlScheme 982
#define sipName_QWebEngineUrlScheme &sipStrings_QtWebEngineCore[982]
#define sipNameNr_NavigationTypeOther 1002
#define sipName_NavigationTypeOther &sipStrings_QtWebEngineCore[1002]
#define sipNameNr_NavigationTypeTyped 1022
#define sipName_NavigationTypeTyped &sipStrings_QtWebEngineCore[1022]
#define sipNameNr_ResourceTypeUnknown 1042
#define sipName_ResourceTypeUnknown &sipStrings_QtWebEngineCore[1042]
#define sipNameNr_ResourceTypeFavicon 1062
#define sipName_ResourceTypeFavicon &sipStrings_QtWebEngineCore[1062]
#define sipNameNr_LocalAccessAllowed 1082
#define sipName_LocalAccessAllowed &sipStrings_QtWebEngineCore[1082]
#define sipNameNr_NavigationTypeLink 1101
#define sipName_NavigationTypeLink &sipStrings_QtWebEngineCore[1101]
#define sipNameNr_ResourceTypeWorker 1120
#define sipName_ResourceTypeWorker &sipStrings_QtWebEngineCore[1120]
#define sipNameNr_ResourceTypeObject 1139
#define sipName_ResourceTypeObject &sipStrings_QtWebEngineCore[1139]
#define sipNameNr_ResourceTypeScript 1158
#define sipName_ResourceTypeScript &sipStrings_QtWebEngineCore[1158]
#define sipNameNr_ViewSourceAllowed 1177
#define sipName_ViewSourceAllowed &sipStrings_QtWebEngineCore[1177]
#define sipNameNr_ResourceTypeMedia 1195
#define sipName_ResourceTypeMedia &sipStrings_QtWebEngineCore[1195]
#define sipNameNr_ResourceTypeImage 1213
#define sipName_ResourceTypeImage &sipStrings_QtWebEngineCore[1213]
#define sipNameNr_sip_simplewrapper 1231
#define sipName_sip_simplewrapper &sipStrings_QtWebEngineCore[1231]
#define sipNameNr_interceptRequest 1249
#define sipName_interceptRequest &sipStrings_QtWebEngineCore[1249]
#define sipNameNr_ResourceTypePing 1266
#define sipName_ResourceTypePing &sipStrings_QtWebEngineCore[1266]
#define sipNameNr_deleteAllCookies 1283
#define sipName_deleteAllCookies &sipStrings_QtWebEngineCore[1283]
#define sipNameNr_disconnectNotify 1300
#define sipName_disconnectNotify &sipStrings_QtWebEngineCore[1300]
#define sipNameNr_NoAccessAllowed 1317
#define sipName_NoAccessAllowed &sipStrings_QtWebEngineCore[1317]
#define sipNameNr_PortUnspecified 1333
#define sipName_PortUnspecified &sipStrings_QtWebEngineCore[1333]
#define sipNameNr_ResourceTypeXhr 1349
#define sipName_ResourceTypeXhr &sipStrings_QtWebEngineCore[1349]
#define sipNameNr_QtWebEngineCore 862
#define sipName_QtWebEngineCore &sipStrings_QtWebEngineCore[862]
#define sipNameNr_setCookieFilter 1365
#define sipName_setCookieFilter &sipStrings_QtWebEngineCore[1365]
#define sipNameNr_requestStarted 1381
#define sipName_requestStarted &sipStrings_QtWebEngineCore[1381]
#define sipNameNr_registerScheme 1396
#define sipName_registerScheme &sipStrings_QtWebEngineCore[1396]
#define sipNameNr_setDefaultPort 1411
#define sipName_setDefaultPort &sipStrings_QtWebEngineCore[1411]
#define sipNameNr_RequestAborted 1426
#define sipName_RequestAborted &sipStrings_QtWebEngineCore[1426]
#define sipNameNr_navigationType 1441
#define sipName_navigationType &sipStrings_QtWebEngineCore[1441]
#define sipNameNr_NavigationType 26
#define sipName_NavigationType &sipStrings_QtWebEngineCore[26]
#define sipNameNr_filterCallback 1456
#define sipName_filterCallback &sipStrings_QtWebEngineCore[1456]
#define sipNameNr_loadAllCookies 1471
#define sipName_loadAllCookies &sipStrings_QtWebEngineCore[1471]
#define sipNameNr_RequestFailed 1486
#define sipName_RequestFailed &sipStrings_QtWebEngineCore[1486]
#define sipNameNr_RequestDenied 1500
#define sipName_RequestDenied &sipStrings_QtWebEngineCore[1500]
#define sipNameNr_setHttpHeader 1514
#define sipName_setHttpHeader &sipStrings_QtWebEngineCore[1514]
#define sipNameNr_requestMethod 1528
#define sipName_requestMethod &sipStrings_QtWebEngineCore[1528]
#define sipNameNr_requestedSize 1542
#define sipName_requestedSize &sipStrings_QtWebEngineCore[1542]
#define sipNameNr_firstPartyUrl 1556
#define sipName_firstPartyUrl &sipStrings_QtWebEngineCore[1556]
#define sipNameNr_FilterRequest 144
#define sipName_FilterRequest &sipStrings_QtWebEngineCore[144]
#define sipNameNr_cookieRemoved 1570
#define sipName_cookieRemoved &sipStrings_QtWebEngineCore[1570]
#define sipNameNr_connectNotify 1303
#define sipName_connectNotify &sipStrings_QtWebEngineCore[1303]
#define sipNameNr_schemeByName 1584
#define sipName_schemeByName &sipStrings_QtWebEngineCore[1584]
#define sipNameNr_SecureScheme 1597
#define sipName_SecureScheme &sipStrings_QtWebEngineCore[1597]
#define sipNameNr_resourceType 1610
#define sipName_resourceType &sipStrings_QtWebEngineCore[1610]
#define sipNameNr_ResourceType 108
#define sipName_ResourceType &sipStrings_QtWebEngineCore[108]
#define sipNameNr_deleteCookie 1623
#define sipName_deleteCookie &sipStrings_QtWebEngineCore[1623]
#define sipNameNr_LocalScheme 1636
#define sipName_LocalScheme &sipStrings_QtWebEngineCore[1636]
#define sipNameNr_SpecialPort 179
#define sipName_SpecialPort &sipStrings_QtWebEngineCore[179]
#define sipNameNr_HostAndPort 1648
#define sipName_HostAndPort &sipStrings_QtWebEngineCore[1648]
#define sipNameNr_UrlNotFound 1660
#define sipName_UrlNotFound &sipStrings_QtWebEngineCore[1660]
#define sipNameNr_unsetHeader 1672
#define sipName_unsetHeader &sipStrings_QtWebEngineCore[1672]
#define sipNameNr_setPostData 1684
#define sipName_setPostData &sipStrings_QtWebEngineCore[1684]
#define sipNameNr_postRequest 1696
#define sipName_postRequest &sipStrings_QtWebEngineCore[1696]
#define sipNameNr_cookieAdded 1708
#define sipName_cookieAdded &sipStrings_QtWebEngineCore[1708]
#define sipNameNr_defaultPort 1720
#define sipName_defaultPort &sipStrings_QtWebEngineCore[1720]
#define sipNameNr_customEvent 1732
#define sipName_customEvent &sipStrings_QtWebEngineCore[1732]
#define sipNameNr_eventFilter 1744
#define sipName_eventFilter &sipStrings_QtWebEngineCore[1744]
#define sipNameNr_UrlInvalid 1756
#define sipName_UrlInvalid &sipStrings_QtWebEngineCore[1756]
#define sipNameNr_thirdParty 1767
#define sipName_thirdParty &sipStrings_QtWebEngineCore[1767]
#define sipNameNr_requestUrl 1778
#define sipName_requestUrl &sipStrings_QtWebEngineCore[1778]
#define sipNameNr_childEvent 1789
#define sipName_childEvent &sipStrings_QtWebEngineCore[1789]
#define sipNameNr_timerEvent 1800
#define sipName_timerEvent &sipStrings_QtWebEngineCore[1800]
#define sipNameNr___invert__ 1811
#define sipName___invert__ &sipStrings_QtWebEngineCore[1811]
#define sipNameNr_setSyntax 1822
#define sipName_setSyntax &sipStrings_QtWebEngineCore[1822]
#define sipNameNr_initiator 1832
#define sipName_initiator &sipStrings_QtWebEngineCore[1832]
#define sipNameNr_hasHeader 1842
#define sipName_hasHeader &sipStrings_QtWebEngineCore[1842]
#define sipNameNr_setMethod 1852
#define sipName_setMethod &sipStrings_QtWebEngineCore[1852]
#define sipNameNr_setCookie 1862
#define sipName_setCookie &sipStrings_QtWebEngineCore[1862]
#define sipNameNr_setHeader 1674
#define sipName_setHeader &sipStrings_QtWebEngineCore[1674]
#define sipNameNr_redirect 1872
#define sipName_redirect &sipStrings_QtWebEngineCore[1872]
#define sipNameNr_postData 1881
#define sipName_postData &sipStrings_QtWebEngineCore[1881]
#define sipNameNr_setFlags 1890
#define sipName_setFlags &sipStrings_QtWebEngineCore[1890]
#define sipNameNr___hash__ 1899
#define sipName___hash__ &sipStrings_QtWebEngineCore[1899]
#define sipNameNr___bool__ 1908
#define sipName___bool__ &sipStrings_QtWebEngineCore[1908]
#define sipNameNr___ixor__ 1917
#define sipName___ixor__ &sipStrings_QtWebEngineCore[1917]
#define sipNameNr___iand__ 1926
#define sipName___iand__ &sipStrings_QtWebEngineCore[1926]
#define sipNameNr_setName 1935
#define sipName_setName &sipStrings_QtWebEngineCore[1935]
#define sipNameNr_headers 1943
#define sipName_headers &sipStrings_QtWebEngineCore[1943]
#define sipNameNr_NoError 1951
#define sipName_NoError &sipStrings_QtWebEngineCore[1951]
#define sipNameNr___xor__ 1959
#define sipName___xor__ &sipStrings_QtWebEngineCore[1959]
#define sipNameNr___ior__ 1967
#define sipName___ior__ &sipStrings_QtWebEngineCore[1967]
#define sipNameNr___and__ 1975
#define sipName___and__ &sipStrings_QtWebEngineCore[1975]
#define sipNameNr___int__ 1983
#define sipName___int__ &sipStrings_QtWebEngineCore[1983]
#define sipNameNr_Syntax 334
#define sipName_Syntax &sipStrings_QtWebEngineCore[334]
#define sipNameNr_origin 1991
#define sipName_origin &sipStrings_QtWebEngineCore[1991]
#define sipNameNr_reject 1998
#define sipName_reject &sipStrings_QtWebEngineCore[1998]
#define sipNameNr_header 2005
#define sipName_header &sipStrings_QtWebEngineCore[2005]
#define sipNameNr_scheme 2012
#define sipName_scheme &sipStrings_QtWebEngineCore[2012]
#define sipNameNr_setUrl 2019
#define sipName_setUrl &sipStrings_QtWebEngineCore[2019]
#define sipNameNr_Method 277
#define sipName_Method &sipStrings_QtWebEngineCore[277]
#define sipNameNr_method 2026
#define sipName_method &sipStrings_QtWebEngineCore[2026]
#define sipNameNr_accept 2033
#define sipName_accept &sipStrings_QtWebEngineCore[2033]
#define sipNameNr_syntax 2040
#define sipName_syntax &sipStrings_QtWebEngineCore[2040]
#define sipNameNr_parent 2047
#define sipName_parent &sipStrings_QtWebEngineCore[2047]
#define sipNameNr___ne__ 2054
#define sipName___ne__ &sipStrings_QtWebEngineCore[2054]
#define sipNameNr___eq__ 2061
#define sipName___eq__ &sipStrings_QtWebEngineCore[2061]
#define sipNameNr___or__ 2068
#define sipName___or__ &sipStrings_QtWebEngineCore[2068]
#define sipNameNr_block 2075
#define sipName_block &sipStrings_QtWebEngineCore[2075]
#define sipNameNr_reply 2081
#define sipName_reply &sipStrings_QtWebEngineCore[2081]
#define sipNameNr_Flags 417
#define sipName_Flags &sipStrings_QtWebEngineCore[417]
#define sipNameNr_Error 248
#define sipName_Error &sipStrings_QtWebEngineCore[248]
#define sipNameNr_flags 2087
#define sipName_flags &sipStrings_QtWebEngineCore[2087]
#define sipNameNr_event 2093
#define sipName_event &sipStrings_QtWebEngineCore[2093]
#define sipNameNr_Path 2099
#define sipName_Path &sipStrings_QtWebEngineCore[2099]
#define sipNameNr_Host 2104
#define sipName_Host &sipStrings_QtWebEngineCore[2104]
#define sipNameNr_fail 2109
#define sipName_fail &sipStrings_QtWebEngineCore[2109]
#define sipNameNr_Post 2114
#define sipName_Post &sipStrings_QtWebEngineCore[2114]
#define sipNameNr_Flag 498
#define sipName_Flag &sipStrings_QtWebEngineCore[498]
#define sipNameNr_name 2119
#define sipName_name &sipStrings_QtWebEngineCore[2119]
#define sipNameNr_swap 2124
#define sipName_swap &sipStrings_QtWebEngineCore[2124]
#define sipNameNr_Get 2129
#define sipName_Get &sipStrings_QtWebEngineCore[2129]
#define sipNameNr_url 2133
#define sipName_url &sipStrings_QtWebEngineCore[2133]

#define sipMalloc                   sipAPI_QtWebEngineCore->api_malloc
#define sipFree                     sipAPI_QtWebEngineCore->api_free
#define sipBuildResult              sipAPI_QtWebEngineCore->api_build_result
#define sipCallMethod               sipAPI_QtWebEngineCore->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngineCore->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngineCore->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngineCore->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngineCore->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngineCore->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngineCore->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngineCore->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebEngineCore->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebEngineCore->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebEngineCore->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebEngineCore->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebEngineCore->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngineCore->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngineCore->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngineCore->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngineCore->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngineCore->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngineCore->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngineCore->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngineCore->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngineCore->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngineCore->api_trace
#define sipTransferBack             sipAPI_QtWebEngineCore->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngineCore->api_transfer_to
#define sipTransferBreak            sipAPI_QtWebEngineCore->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtWebEngineCore->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngineCore->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngineCore->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngineCore->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngineCore->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngineCore->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngineCore->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngineCore->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngineCore->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtWebEngineCore->api_is_py_method
#define sipCallHook                 sipAPI_QtWebEngineCore->api_call_hook
#define sipEndThread                sipAPI_QtWebEngineCore->api_end_thread
#define sipConnectRx                sipAPI_QtWebEngineCore->api_connect_rx
#define sipDisconnectRx             sipAPI_QtWebEngineCore->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtWebEngineCore->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngineCore->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngineCore->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngineCore->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtWebEngineCore->api_free_sipslot
#define sipSameSlot                 sipAPI_QtWebEngineCore->api_same_slot
#define sipPySlotExtend             sipAPI_QtWebEngineCore->api_pyslot_extend
#define sipConvertRx                sipAPI_QtWebEngineCore->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtWebEngineCore->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngineCore->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngineCore->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngineCore->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtWebEngineCore->api_can_convert_to_enum
#define sipConvertToEnum            sipAPI_QtWebEngineCore->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebEngineCore->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebEngineCore->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngineCore->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngineCore->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngineCore->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngineCore->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngineCore->api_get_state
#define sipExportSymbol             sipAPI_QtWebEngineCore->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngineCore->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngineCore->api_find_type
#define sipFindNamedEnum            sipAPI_QtWebEngineCore->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtWebEngineCore->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngineCore->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngineCore->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngineCore->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngineCore->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngineCore->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngineCore->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngineCore->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngineCore->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngineCore->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngineCore->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngineCore->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngineCore->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtWebEngineCore->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebEngineCore->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtWebEngineCore->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtWebEngineCore->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtWebEngineCore->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebEngineCore->api_deprecated
#define sipGetReference             sipAPI_QtWebEngineCore->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngineCore->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngineCore->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngineCore->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngineCore->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngineCore->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngineCore->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngineCore->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtWebEngineCore->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtWebEngineCore->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtWebEngineCore->api_enable_autoconversion
#define sipEnableOverflowChecking   sipAPI_QtWebEngineCore->api_enable_overflow_checking
#define sipInitMixin                sipAPI_QtWebEngineCore->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngineCore->api_export_module
#define sipInitModule               sipAPI_QtWebEngineCore->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngineCore->api_get_interpreter
#define sipSetNewUserTypeHandler    sipAPI_QtWebEngineCore->api_set_new_user_type_handler
#define sipSetTypeUserData          sipAPI_QtWebEngineCore->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngineCore->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngineCore->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngineCore->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngineCore->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngineCore->api_get_method
#define sipFromMethod               sipAPI_QtWebEngineCore->api_from_method
#define sipGetDate                  sipAPI_QtWebEngineCore->api_get_date
#define sipFromDate                 sipAPI_QtWebEngineCore->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngineCore->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngineCore->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngineCore->api_get_time
#define sipFromTime                 sipAPI_QtWebEngineCore->api_from_time
#define sipIsUserType               sipAPI_QtWebEngineCore->api_is_user_type
#define sipGetFrame                 sipAPI_QtWebEngineCore->api_get_frame
#define sipCheckPluginForType       sipAPI_QtWebEngineCore->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngineCore->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngineCore->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngineCore->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngineCore->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngineCore->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngineCore->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngineCore->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngineCore->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngineCore->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebEngineCore->api_register_event_handler
#define sipLong_AsChar              sipAPI_QtWebEngineCore->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebEngineCore->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebEngineCore->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebEngineCore->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebEngineCore->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebEngineCore->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebEngineCore->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebEngineCore->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngineCore->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebEngineCore->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebEngineCore->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebEngineCore->api_long_as_size_t

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtWebEngineCore->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtWebEngineCore->api_map_int_to_class
#define sipFindClass                sipAPI_QtWebEngineCore->api_find_class
#define sipFindMappedType           sipAPI_QtWebEngineCore->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtWebEngineCore->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngineCore->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngineCore->api_enable_gc
#define sipPrintObject              sipAPI_QtWebEngineCore->api_print_object
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtWebEngineCore->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->wt_td)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->wt_td, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->wt_td, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->wt_td, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->wt_td, (t))

/* The strings used by this module. */
extern const char sipStrings_QtWebEngineCore[];

#define sipType_QWebEngineCookieStore sipExportedTypes_QtWebEngineCore[2]
#define sipClass_QWebEngineCookieStore sipExportedTypes_QtWebEngineCore[2]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineCookieStore;

#define sipType_QWebEngineCookieStore_FilterRequest sipExportedTypes_QtWebEngineCore[3]
#define sipClass_QWebEngineCookieStore_FilterRequest sipExportedTypes_QtWebEngineCore[3]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineCookieStore_FilterRequest;

#define sipType_QWebEngineHttpRequest sipExportedTypes_QtWebEngineCore[4]
#define sipClass_QWebEngineHttpRequest sipExportedTypes_QtWebEngineCore[4]->u.td_wrapper_type

#define sipType_QWebEngineHttpRequest_Method sipExportedTypes_QtWebEngineCore[5]
#define sipEnum_QWebEngineHttpRequest_Method sipExportedTypes_QtWebEngineCore[5]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineHttpRequest;

#define sipType_QtWebEngineCore sipExportedTypes_QtWebEngineCore[20]
#define sipClass_QtWebEngineCore sipExportedTypes_QtWebEngineCore[20]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QtWebEngineCore;

#define sipType_QWebEngineQuotaRequest sipExportedTypes_QtWebEngineCore[6]
#define sipClass_QWebEngineQuotaRequest sipExportedTypes_QtWebEngineCore[6]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineQuotaRequest;

#define sipType_QWebEngineRegisterProtocolHandlerRequest sipExportedTypes_QtWebEngineCore[7]
#define sipClass_QWebEngineRegisterProtocolHandlerRequest sipExportedTypes_QtWebEngineCore[7]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineRegisterProtocolHandlerRequest;

#define sipType_QWebEngineUrlRequestInfo sipExportedTypes_QtWebEngineCore[8]
#define sipClass_QWebEngineUrlRequestInfo sipExportedTypes_QtWebEngineCore[8]->u.td_wrapper_type

#define sipType_QWebEngineUrlRequestInfo_NavigationType sipExportedTypes_QtWebEngineCore[9]
#define sipEnum_QWebEngineUrlRequestInfo_NavigationType sipExportedTypes_QtWebEngineCore[9]->u.td_py_type

#define sipType_QWebEngineUrlRequestInfo_ResourceType sipExportedTypes_QtWebEngineCore[10]
#define sipEnum_QWebEngineUrlRequestInfo_ResourceType sipExportedTypes_QtWebEngineCore[10]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestInfo;

#define sipType_QWebEngineUrlRequestInterceptor sipExportedTypes_QtWebEngineCore[11]
#define sipClass_QWebEngineUrlRequestInterceptor sipExportedTypes_QtWebEngineCore[11]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestInterceptor;

#define sipType_QWebEngineUrlRequestJob sipExportedTypes_QtWebEngineCore[12]
#define sipClass_QWebEngineUrlRequestJob sipExportedTypes_QtWebEngineCore[12]->u.td_wrapper_type

#define sipType_QWebEngineUrlRequestJob_Error sipExportedTypes_QtWebEngineCore[13]
#define sipEnum_QWebEngineUrlRequestJob_Error sipExportedTypes_QtWebEngineCore[13]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestJob;

#define sipType_QWebEngineUrlScheme sipExportedTypes_QtWebEngineCore[14]
#define sipClass_QWebEngineUrlScheme sipExportedTypes_QtWebEngineCore[14]->u.td_wrapper_type

#define sipType_QWebEngineUrlScheme_Flag sipExportedTypes_QtWebEngineCore[15]
#define sipEnum_QWebEngineUrlScheme_Flag sipExportedTypes_QtWebEngineCore[15]->u.td_py_type

#define sipType_QWebEngineUrlScheme_SpecialPort sipExportedTypes_QtWebEngineCore[17]
#define sipEnum_QWebEngineUrlScheme_SpecialPort sipExportedTypes_QtWebEngineCore[17]->u.td_py_type

#define sipType_QWebEngineUrlScheme_Syntax sipExportedTypes_QtWebEngineCore[18]
#define sipEnum_QWebEngineUrlScheme_Syntax sipExportedTypes_QtWebEngineCore[18]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlScheme;

#define sipType_QWebEngineUrlScheme_Flags sipExportedTypes_QtWebEngineCore[16]
#define sipClass_QWebEngineUrlScheme_Flags sipExportedTypes_QtWebEngineCore[16]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlScheme_Flags;

#define sipType_QWebEngineUrlSchemeHandler sipExportedTypes_QtWebEngineCore[19]
#define sipClass_QWebEngineUrlSchemeHandler sipExportedTypes_QtWebEngineCore[19]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlSchemeHandler;

#define sipType_QVector_0100QByteArray sipExportedTypes_QtWebEngineCore[1]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QVector_0100QByteArray;

#define sipType_QMap_0100QString_0100QString sipExportedTypes_QtWebEngineCore[0]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QMap_0100QString_0100QString;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngineCore;
extern sipExportedModuleDef sipModuleAPI_QtWebEngineCore;
extern sipTypeDef *sipExportedTypes_QtWebEngineCore[];

#define sipType_QObject sipImportedTypes_QtWebEngineCore_QtCore[5].it_td
#define sipClass_QObject sipImportedTypes_QtWebEngineCore_QtCore[5].it_td->u.td_wrapper_type

#define sipType_QIODevice sipImportedTypes_QtWebEngineCore_QtCore[3].it_td
#define sipClass_QIODevice sipImportedTypes_QtWebEngineCore_QtCore[3].it_td->u.td_wrapper_type

#define sipType_QByteArray sipImportedTypes_QtWebEngineCore_QtCore[0].it_td
#define sipClass_QByteArray sipImportedTypes_QtWebEngineCore_QtCore[0].it_td->u.td_wrapper_type

#define sipType_QEvent sipImportedTypes_QtWebEngineCore_QtCore[2].it_td
#define sipClass_QEvent sipImportedTypes_QtWebEngineCore_QtCore[2].it_td->u.td_wrapper_type

#define sipType_QTimerEvent sipImportedTypes_QtWebEngineCore_QtCore[7].it_td
#define sipClass_QTimerEvent sipImportedTypes_QtWebEngineCore_QtCore[7].it_td->u.td_wrapper_type

#define sipType_QChildEvent sipImportedTypes_QtWebEngineCore_QtCore[1].it_td
#define sipClass_QChildEvent sipImportedTypes_QtWebEngineCore_QtCore[1].it_td->u.td_wrapper_type

#define sipType_QMetaMethod sipImportedTypes_QtWebEngineCore_QtCore[4].it_td
#define sipClass_QMetaMethod sipImportedTypes_QtWebEngineCore_QtCore[4].it_td->u.td_wrapper_type

#define sipType_QUrl sipImportedTypes_QtWebEngineCore_QtCore[8].it_td
#define sipClass_QUrl sipImportedTypes_QtWebEngineCore_QtCore[8].it_td->u.td_wrapper_type

#define sipType_QString sipImportedTypes_QtWebEngineCore_QtCore[6].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineCore_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngineCore_QtCore[];

#define sipType_QNetworkCookie sipImportedTypes_QtWebEngineCore_QtNetwork[0].it_td
#define sipClass_QNetworkCookie sipImportedTypes_QtWebEngineCore_QtNetwork[0].it_td->u.td_wrapper_type
extern sipImportedTypeDef sipImportedTypes_QtWebEngineCore_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngineCore_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWebEngineCore_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngineCore_qt_metacast;
#line 142 "/builddir/build/BUILD/PyQtWebEngine_gpl-5.12.1/sip/QtWebEngineCore/qwebenginecookiestore.sip"
// Imports from QtCore.
typedef void (*pyqt5_qtwebenginecore_err_print_t)();
extern pyqt5_qtwebenginecore_err_print_t pyqt5_qtwebenginecore_err_print;
#line 666 "/builddir/build/BUILD/PyQtWebEngine_gpl-5.12.1/aarch64-redhat-linux-gnu-python3/QtWebEngineCore/sipAPIQtWebEngineCore.h"

#endif
